# -*- coding: utf-8 -*-
from setuphelpers import *

# C:\ProgramData\TheGreenBow\CryptoMailer
# C:\ProgramData\Microsoft\Windows\Start Menu\Programs\TheGreenBow\CryptoMailer


app_sys_dir_publisher = makepath("c:", "ProgramData", "TheGreenBow")
app_sys_dir = makepath(app_sys_dir_publisher, "CryptoMailer")
app_start_menu_dir_publisher = makepath("c:", "ProgramData", "Microsoft", "Windows", "Start Menu", "Programs", "TheGreenBow")
app_start_menu_dir = makepath(app_start_menu_dir_publisher, "CryptoMailer") 


def install():
    # Specific app values
    package_version = control.version.split("-")[0]

    # Installing the package
    if isdir(app_sys_dir):
        remove_tree(app_sys_dir)
        mkdirs(app_sys_dir)
    unzip("CryptoMailer-%s.zip" % package_version, target=app_sys_dir)

    if isdir(app_start_menu_dir):
        remove_tree(app_start_menu_dir)
        if dir_is_empty(app_start_menu_dir_publisher):
            remove_tree(app_start_menu_dir_publisher)
    mkdirs(app_start_menu_dir)

    for shortcut in glob.glob(makepath("CryptoMailer_start_menu", "*")):
        filecopyto(shortcut, app_start_menu_dir)


def uninstall():
    # Uninstalling the package
    killalltasks('TgbCml','CmlMailer')
    remove_tree(app_sys_dir)
    if dir_is_empty(app_sys_dir_publisher):
        remove_tree(app_sys_dir_publisher)
    remove_tree(app_start_menu_dir)